Subject: Re: [netext] Review of draft-ietf-netext-pmip-lr-01

From: Suresh Krishnan <[email-masked]>
Date: Thu, 28 Apr 2011 16:03:24 -0400

Hi Pete,
   Thanks for the detailed review. Please find responses inline.

On 11-04-27 02:33 PM, Peter McCann wrote:
> Some fairly minor comments below.  Overall I think the document is
> ready to go to the IESG.

Sounds good. I will fix all the editorial nits. Please find my responses 
  inline.

> 
> 
> Section 4:
>    It is also possible that
>    one of the mobility entities (LMA or MAG) could decide to initiate
>    localized routing based on configured policy.
> In Section 2.1 you said that the MAG is not allowed to initiate LR unless
> the MNs are homed on different LMAs.  In the scenario A11 both MNs are homed
> on the same LMA.  This sentence seems to be a contradiction.
> 

While implementing the protocol specified in this spec the MAG does not 
initiate LR in the same LMA case (dynamically). But, the base PMIPv6 
spec [RFC5213] allows the MAG to be configured to initiate localized 
routing using the EnableMAGLocalRouting (static) configuration variable.

> 
> Section 6, 2nd Figure:
> It looks like you still have data going from MAG to LMA1 after the
> LRE has been established.  Is this a mistake?  I thought the traffic
> should go direct between the MN1, MAG, and MN2.

Yes. The traffic flows only through the MAG. I will fix this in the next 
rev.

> 
> Section 9.1:
>    MAY contain
>    the remote MAG IPv6 address option, which is identical to the HNP
>    option except for Prefix Length equal to 128 bits.
> Should say "formatted identically to the HNP option, except that it
> begins with a different Type code and the Prefix Length is always
> equal to 128 bits (see Section 10.1)."

OK.

Thanks
Suresh

---

From: Peter McCann <[email-masked]>
Date: Wed, 27 Apr 2011 18:33:54 +0000

Section 4:
   It is also possible that

   If a MAG is unable to make deliver packets
SHOULD BE:
   If a MAG is unable to deliver packets

   When local forwarding service ceases, the
   corresponding LFE entries MUST be removed.
Did you mean "LRE"?

Section 5.1:
   for for MN1
SHOULD BE:
   for MN1

Section 6, 2nd Figure:

Section 9.1:
   MAY contain

-Pete

--
Peter J. McCann
Huawei Technologies
[email-masked]
+1 908 541 3563
Rm. C-0105, 400 Somerset Corporate Blvd., Bridgewater, NJ  08807  USA

---

From: Peter McCann <[email-masked]>
Date: Thu, 28 Apr 2011 21:28:18 +0000

Hi, Suresh,

Suresh Krishnan wrote:
>> In Section 2.1 you said that the MAG is not allowed to initiate LR
>> unless the MNs are homed on different LMAs.  In the scenario A11 both
>> MNs are homed on the same LMA.  This sentence seems to be a
>> contradiction.
>> 
> 
> While implementing the protocol specified in this spec the MAG does
> not initiate LR in the same LMA case (dynamically). But, the base
> PMIPv6 spec [RFC5213] allows the MAG to be configured to initiate
> localized routing using the EnableMAGLocalRouting (static)
> configuration variable.

Ah, I see.  Could you call that out explicitly somehow to ensure that
a casual reader such as myself is not confused?

-Pete